#ifndef SDLSYSTEM_SINGLETONS_H
#define SDLSYSTEM_SINGLETONS_H

#include "system.h"
#include "system/keyboard.h"
#include "system/mouse.h"
#include "system/display.h"
#include "timer.h"

extern SDLSystem sdlSys;
extern KeyboardHandler sdlKbd;
extern MouseHandler sdlMouse;
extern Display sdlDisp;
extern SDLHiResTimer sdlTimer;

void sysBindSingletons();

#endif	//SDLSYSTEM_SINGLETONS_H
